<?php

class Recrutamento extends MY_Controller
{

    public $oportunidades = array();
    public $success_message = '';

    function __construct()
    {
        parent::__construct();
    }

    function index()
    {
        $this->title = $this->lang->line('Recrutamento');
        $this->show_candidaturas();
    }

    function show_candidaturas()
    {
        $this->title = $this->lang->line('candidaturas');
        parent::renderPage("candidaturas_view");
    }

    function show_oportunidades()
    {

        $this->title = $this->lang->line('Oportunidades');

        $this->load->model('oportunidade_emprego_model');
        $op_data = $this->oportunidade_emprego_model->get_all_oportunidades();
        if ($op_data->num_rows > 0) {
            $this->oportunidades = $op_data->result_array();
        }

        parent::renderPage("recrutamento_view");
    }

    function submeter_candidatura()
    {

        $config = array();
        $config['upload_path'] = 'resources/newsletters';
        $config['allowed_types'] = 'doc|docx|pdf|txt';
        $config['max_size'] = '30000';

        $this->load->library('upload', $config);

        $this->upload->do_upload();

        $this->load->library('email');

        $this->email->from(EMAIL_GERAL, COMPANY_NAME);
        $this->email->to(EMAIL_GERAL_DEST);

        $this->load->helper('date');
        $data = mdate("%Y-%m-%d", now());

        $this->email->subject('Nova candidatura');
        $this->email->message(
            '<h2>Identificação</h2>
                <p><b>Nome: </b>' . $this->input->post('nome') . '</p>
                <p><b>Morada: </b>' . $this->input->post('morada') . '</p>
                <p><b>Código Postal: </b>' . $this->input->post('cod-postal') . '</p>
                <br/>
                <h2>Dados pessoais</h2>
                <p><b>Data de nascimento: </b>' . $this->input->post('data-nascimento-dia') . '/' . $this->input->post('data-nascimento-mes') . '/' . $this->input->post('data-nascimento-ano') . '</p>
                <p><b>Estado civil: </b>' . $this->input->post('estado-civil') . '</p>
                <p><b>Nacionalidade: </b>' . $this->input->post('nacionalidade') . '</p>
                <p><b>Situação Militar: </b>' . $this->input->post('situacao-militar') . '</p>
                <br/>
                <h2>Contactos</h2>
                <p><b>Residência: </b>' . $this->input->post('residencia') . '</p>
                <p><b>Emprego: </b>' . $this->input->post('emprego') . '</p>
                <p><b>Telemóvel: </b>' . $this->input->post('telemovel') . '</p>
                <p><b>Email: </b>' . $this->input->post('email') . '</p>
                    <br/>
                <h2>Formação Profissional / Complementar</h2>
                <p><b>Designação do curso: </b>' . $this->input->post('designacao-do-curso') . '</p>
                <p><b>Duração/data conclusão: </b>' . $this->input->post('duracao-data-conclusao') . '</p>
                <p><b>Entidade formadora: </b>' . $this->input->post('entidade-formadora') . '</p>
                     <br/>
                <h2>Experiência Profissional</h2>
                <p><b>Empresa: </b>' . $this->input->post('empresa') . '</p>
                <p><b>Função: </b>' . $this->input->post('funcao') . '</p>
                <p><b>Duração: </b>De: ' . $this->input->post('experiencia-prof-de-mes') . '/' . $this->input->post('experiencia-prof-de-ano') . ' Até: ' . $this->input->post('experiencia-prof-ate-mes') . '/' . $this->input->post('experiencia-prof-ate-ano') . '</p>
                      <br/>
                <h2>Habilitações Literárias</h2>
                <p><b>Nível de estudos: </b>' . $this->input->post('empresa') . '</p>
                <p><b>Grau académico: </b>' . $this->input->post('grau-academico') . '</p>
                <p><b>Instituição: </b>' . $this->input->post('instituicao') . '</p>
                <p><b>Curso: </b>' . $this->input->post('curso') . '</p>
                    <br/>
                    <h2>Outros Conhecimentos</h2>
                <p><b>Língua estrangeira: </b>' . $this->input->post('lingua-estrangeira') . '</p>
                <p><b>Leitura: </b>' . $this->input->post('leitura') . '</p>
                <p><b>Escrita: </b>' . $this->input->post('escrita') . '</p>
                <p><b>Conversação: </b>' . $this->input->post('conversacao') . '</p>
                    <br/>
                    <h2>Informática</h2>
                <p><b>Óptica do utilizador: </b>' . $this->input->post('optica-do-utilizador') . '</p>
                <p><b>Óptica do programador: </b>' . $this->input->post('optica-do-programador') . '</p>
                    <br/>
                    <h2>Disponibilidade</h2>
                <p><b>Início: </b>' . $this->input->post('disponibilidade-dia') . '/' . $this->input->post('disponibilidade-mes') . '/' . $this->input->post('disponibilidade-ano') . '</p>
                    <br/>
                <h2>Função A Que Se Candidata</h2>
                <p><b>' . $this->input->post('funcao-candidato') . '</b></p>
                    <br/>
                    <h2>Observações</h2>
                <p><b>' . $this->input->post('observacoes') . '</b></p>
                '
        );

        $uploaded_data = $this->upload->data();
        if ($uploaded_data != NULL) {
            if (array_key_exists('file_name', $uploaded_data) && $uploaded_data['file_name'] != '') {
                $this->email->attach($uploaded_data['full_path']);
            }
        }

        $this->email->send();

        $data_info = $this->input->post();
        $data_info['data'] = $data;
        if ($uploaded_data != NULL) {
            $data_info['cv_path'] = $uploaded_data['file_name'];
        }

        $this->load->model('candidatura_model');
        $this->candidatura_model->add_candidatura($data_info);

        parent::renderPage("candidaturas_view", array('success_message' => $this->lang->line('Candidatura-submetida')));
    }

}

